Bundle Commons Deletion Bot posts about different images on the same talk page
Closed, ResolvedPublic5 Story Points

Description

Problem

As @kaldari identified in {T188151#4232831} sometimes the Commons Deletion Bot will post multiple talk page sections to one talk page if a batch of photos are marked for deletion simultaneously.

Example: https://en.wikipedia.org/wiki/Talk:St._Mary%27s_Jacobite_Syrian_Church,_Marady, https://en.wikipedia.org/wiki/Talk:Mexican_peso#A_Commons_file_used_in_this_page_has_been_nominated_for_speedy_deletion


Solution

Bundle all deletion notifications in one message. If the files have one nomination page, post:

== Commons files used in this page have been nominated for deletion ==
The following files used on this page have been marked for deletion on Wikimedia Commons:

  • [[File:Foo]]
  • [[File:Bar]]

    Participate in the deletion discussion at the [[commons:link|nomination page.]] — ~~~~

If the files have different nomination pages:

== Commons files used in this page have been nominated for deletion ==
The following files used on this page have been marked for deletion on Wikimedia Commons:

  • [[File:Foo]] ([[commons:link|nomination page]])
  • [[File:Bar]] ([[commons:link|nomination page]])

    Participate in the deletion discussion at the nomination pages, linked above. — ~~~~
TBolliger triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2018, 9:27 PM
TBolliger updated the task description. (Show Details)May 29 2018, 8:19 PM
MaxSem claimed this task.May 29 2018, 9:35 PM
TBolliger set the point value for this task to 5.
MaxSem closed this task as Resolved.Jun 12 2018, 10:54 PM
MaxSem moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.

After resumption, everything worked well.

Here's a great example of bundling the notifications: https://en.wikipedia.org/w/index.php?title=Talk:Bangalore_Open_Air&oldid=845557721

Looks great, Max!

Vvjjkkii renamed this task from Bundle Commons Deletion Bot posts about different images on the same talk page to 68baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot set the point value for this task to 5.Jul 2 2018, 4:12 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to MaxSem.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 68baaaaaaa to Bundle Commons Deletion Bot posts about different images on the same talk page.
CommunityTechBot added a subscriber: Aklapper.
Niharika moved this task from Done to Archive on the Community-Tech-Sprint board.Jul 3 2018, 7:36 PM